<kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
  [pageSize]="pageSize" [sortable]="true" filterable="menu" [skip]="skip" [pageable]="{buttonCount: 5,
                           pageSizes: [10, 25, 50]}" [height]="410" [selectable]="true"
  (selectionChange)="selectRow($event)" *ngIf="!loading">
  <ng-container *ngIf="dataGrid.length !== 0">

    <kendo-grid-column field="cuarto" title="Cuarto" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="tcuarto" title="Tipo" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="ccarac" title="Caracteristicas" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="ccom" title="Com. 1" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="ccom2" title="Com. 2" width="150">
      <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
        let-filterService="filterService">
        <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
          [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
        </multicheck-filter>
      </ng-template>
    </kendo-grid-column>

  </ng-container>
  <ng-template kendoGridNoRecordsTemplate>
    {{ noRecords }}
  </ng-template>
</kendo-grid>

<app-loading *ngIf="loading"></app-loading>